# $Revision: 1.20 $, $Date: 2006/11/26 12:26:31 $
Summary:	Bug Tracking System
Summary(pl):	System ledzenia bdw
Name:		flyspray
Version:	0.9.8
Release:	7
License:	GPL
Group:		Applications/WWW
Source0:	http://flyspray.rocks.cc/files/%{name}-%{version}.tar.gz
# Source0-md5:	e034c2f1638cca65c41c7cb3590e2014
Source1:	%{name}.conf
Source2:	%{name}-apache.conf
Source3:	http://flyspray.rocks.cc/files/pl-%{version}.zip
# Source3-md5:	c96d26a3f6599b9a53f8f563a1d4a453
Patch0:		%{name}-PLD.patch
URL:		http://flyspray.rocks.cc/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires(triggerpostun):	sed >= 4.0
Requires:	adodb >= 4.67-1.17
Requires:	webapps
Requires:	webserver(php) >= 4.3.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Flyspray is an easy to use BTS for those who don't require all the
complexities of something like Bugzilla.

%description -l pl
Flyspray jest atwym w uyciu System ledzenia Bdw (ang. Bug
Tracking System - BTS) dla osb, ktrym nie potrzebne s kompleksowe
rozwizania w stylu Bugzilla.

%package setup
Summary:	Flyspray setup package
Summary(pl):	Pakiet do wstpnej konfiguracji Flyspraya
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description setup
Install this package to configure initial Flyspray installation. You
should uninstall this package when you're done, as it considered
insecure to keep the setup files in place.

%description setup -l pl
Ten pakiet naley zainstalowa w celu wstpnej konfiguracji Flyspraya
po pierwszej instalacji. Potem naley go odinstalowa, jako e
pozostawienie plikw instalacyjnych mogoby by niebezpieczne.

%package lang-pl
Summary:	Flyspray Polish resource files
Summary(pl):	Pakiet z polsk wersj jzykow do Flyspray
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description lang-pl
This package contains Polish localization files for Flyspray.

%description lang-pl -l pl
Pakiet zawiera polsk lokalizacj dla Flyspray'a.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_sysconfdir}}
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}

install *.php *.ico $RPM_BUILD_ROOT%{_appdir}
cp -a includes sql lang scripts themes setup $RPM_BUILD_ROOT%{_appdir}
cp -a docs/licences $RPM_BUILD_ROOT%{_appdir}/setup

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/flyspray.conf
rm -f $RPM_BUILD_ROOT%{_appdir}/flyspray.conf.php

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%{__unzip} -q %{SOURCE3} -d $RPM_BUILD_ROOT%{_appdir}/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post setup
chmod 660 %{_sysconfdir}/flyspray.conf

%postun setup
if [ "$1" = "0" ]; then
	chmod 640 %{_sysconfdir}/flyspray.conf
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- %{name} < 0.9.8-3.3
if [ -f /etc/%{name}/flyspray.conf.php.rpmsave ]; then
	mv -f %{_sysconfdir}/flyspray.conf{,.rpmnew}
	mv -f /etc/%{name}/flyspray.conf.php.rpmsave %{_sysconfdir}/flyspray.conf
fi

# migrate apache2 config
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
	httpd_reload=1
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
	httpd_reload=1
fi

if [ -L /etc/httpd/httpd.conf/99_%{name}.conf ]; then
	rm -f /etc/httpd/httpd.conf/99_%{name}.conf
	httpd_reload=1
fi

if [ "$httpd_reload" ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	%service httpd reload
fi

%{__sed} -i -e 's,%{php_pear_dir}/adodb/adodb.inc.php,/usr/share/php/adodb/adodb.inc.php,' %{_sysconfdir}/flyspray.conf

%files
%defattr(644,root,root,755)
%doc docs/{AUTHORS,BUGS,CHANGELOG,INSTALL,README,TODO,UPGRADING}.txt
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/flyspray.conf

%{_appdir}
%exclude %{_appdir}/lang/langdiff.php
%exclude %{_appdir}/lang/pl
%exclude %{_appdir}/setup

%files setup
%defattr(644,root,root,755)
%{_appdir}/setup

%files lang-pl
%defattr(644,root,root,755)
%{_appdir}/lang/pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: flyspray.spec,v $
Revision 1.20  2006/11/26 12:26:31  glen
- virtual deps; rel 7

Revision 1.19  2006/11/05 17:22:30  glen
- pl language patch by Tomasz Poradowski; adapted for PLD Linux; rel 6

Revision 1.18  2006/09/30 15:08:44  glen
- rel 5

Revision 1.17  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.16  2006/03/12 17:47:48  glen
- rel 4

Revision 1.15  2006/03/12 17:09:44  glen
- reflect adodb changes

Revision 1.14  2006/02/03 16:51:06  baggins
- release 3

Revision 1.13  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.12  2006/01/04 14:07:56  glen
- use %service in trigger to respect skip auto restarts of services; rel 2

Revision 1.11  2005/12/11 19:37:49  glen
- rel 1

Revision 1.10  2005/12/11 19:31:09  qboosh
- pl cosmetics

Revision 1.9  2005/12/11 18:18:16  glen
- fix php epoch

Revision 1.8  2005/12/11 18:15:17  glen
- remove docs dir

Revision 1.7  2005/12/11 18:06:49  glen
- updated to 0.9.8
- use webapps framework
- update apache config to include rewrite rules
- make setup subpackage (and make it working too)

Revision 1.6  2005/07/24 11:33:00  heretyk
- up to 0.9.7

Revision 1.5  2004/10/13 17:42:15  ciesiel
- upgraded to version 0.9.6

Revision 1.4  2004/08/15 11:48:07  twittner
- one more macro

Revision 1.3  2004/08/15 11:43:09  twittner
- now it handles both /etc/httpd/ and /etc/httpd/httpd.conf/
- more macros
- R: webserver but unfortunately realy requires apache - uses apachectl

Revision 1.2  2004/06/27 11:13:54  adamg
- pl description

Revision 1.1  2004/06/27 10:37:05  orzech
- new
